package model

type CreateOwnerRequest struct {
	Name       string `json:"name"`
	Phone      string `json:"phone"`
	Email      string `json:"email"`
	SupplierID string `json:"supplierId"`
	RoleID     string `json:"roleId"`
	Password   string `json:"password"`
}

type UpdateOwnerRequest struct {
	ID         string `json:"_id"`
	SupplierID string `json:"supplierId"`
	Name       string `json:"name"`
	Phone      string `json:"phone"`
	Email      string `json:"email"`
	RoleID     string `json:"roleId"`
}

type CreateStaffRequest struct {
	Name       string   `json:"name"`
	Phone      string   `json:"phone"`
	Email      string   `json:"email"`
	SupplierID string   `json:"supplierId"`
	RoleID     string   `json:"roleId"`
	Password   string   `json:"password"`
	Warehouses []string `json:"warehouses"`
}

type UpdateStaffRequest struct {
	ID                      string   `json:"_id"`
	Name                    string   `json:"name"`
	Phone                   string   `json:"phone"`
	Email                   string   `json:"email"`
	SupplierID              string   `json:"supplierId"`
	RoleID                  string   `json:"roleId"`
	Password                string   `json:"password"`
	SupplierUserWarehouseID string   `json:"supplierUserWarehouseId"`
	Warehouses              []string `json:"warehouses"`
}

type UpdateStatusRequest struct {
	ID     string `json:"_id"`
	Status string `json:"status"`
}

type ResetPasswordRequest struct {
	ID       string `json:"_id"`
	Password string `json:"password"`
}

// CheckTokenSupplierUserPayload ...
type CheckTokenSupplierUserPayload struct {
	Token       string   `json:"token"`
	Permissions []string `json:"permissions"`
}
